import java.io.*;
import java.util.*;

public class aplusb_md implements Runnable {
	private BufferedReader in;
	private PrintWriter out;
	private final char FIRST = 'a';
	private final int SIZE = 26;

	public void run() {
		try {
			solve();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	private void solve() throws IOException {
		Locale.setDefault(Locale.US);
		in = new BufferedReader(new InputStreamReader(System.in));
		out = new PrintWriter(System.out);
		String a = in.readLine();
		String b = in.readLine();
		StringBuilder sb = new StringBuilder();
		sb.setLength(a.length());
		int carry = 0;
		for (int i = a.length() - 1; i >= 0; i--) {
			int d = (a.charAt(i) - FIRST) + (b.charAt(i) - FIRST) + carry;
			carry = d / SIZE;
			d %= SIZE;
			sb.setCharAt(i, (char) (FIRST + d));
		}
		out.println(sb);
		in.close();
		out.close();
	}

	public static void main(String[] args) {
		new Thread(new aplusb_md()).start();
	}
}
